"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMediaDevices = void 0;
var react_1 = require("react");
var mediaDevices_1 = require("./utils/mediaDevices");
var useMediaDevices = function (_a) {
    var _b = _a === void 0 ? {} : _a, constraints = _b.constraints, _c = _b.verbose, verbose = _c === void 0 ? process.env.NODE_ENV !== "production" : _c;
    var _d = (0, react_1.useState)(null), mediaDevices = _d[0], setMediaDevices = _d[1];
    (0, react_1.useEffect)(function () {
        var ac = new AbortController();
        new Promise(function (resolve, reject) {
            ac.signal.addEventListener("abort", reject);
            (0, mediaDevices_1.getMediaDevices)(constraints).then(resolve);
        })
            .then(function (devices) {
            setMediaDevices(devices);
        })
            .catch(function (error) {
            if (error.type === "abort")
                return;
            if (verbose) {
                console.error(error);
            }
        });
        return function () {
            ac.abort();
        };
    }, [verbose, constraints]);
    return mediaDevices;
};
exports.useMediaDevices = useMediaDevices;
