import { useEffect, useState } from "react";
import { getMediaDevices } from "./utils/mediaDevices";
export var useMediaDevices = function (_a) {
    var _b = _a === void 0 ? {} : _a, constraints = _b.constraints, _c = _b.verbose, verbose = _c === void 0 ? process.env.NODE_ENV !== "production" : _c;
    var _d = useState(null), mediaDevices = _d[0], setMediaDevices = _d[1];
    useEffect(function () {
        var ac = new AbortController();
        new Promise(function (resolve, reject) {
            ac.signal.addEventListener("abort", reject);
            getMediaDevices(constraints).then(resolve);
        })
            .then(function (devices) {
            setMediaDevices(devices);
        })
            .catch(function (error) {
            if (error.type === "abort")
                return;
            if (verbose) {
                console.error(error);
            }
        });
        return function () {
            ac.abort();
        };
    }, [verbose, constraints]);
    return mediaDevices;
};
